* {
    font-family: "Plus Jakarta Sans", sans-serif;
    box-sizing: border-box;
  }

/* @font-face {
  font-family: 'Birthday';
  src: url('../fonts/Birthday.ttf') format('truetype');
} */

:root {
    --PrimaryColor: #588157;
    --SecondaryColor: #3a5a40;

    --OtherPrimaryColor: #dad7cd;
    --OtherSecondaryColor: #a3b18a;

    --PrimaryTextColor: #000000;
    --SecondaryTextColor: #ffffff;
}

/* * (star include/for all of the component) */

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    height: 100vh;
}

section {
  position: fixed;
  inset: 0;              /* top:0 left:0 right:0 bottom:0 */
  min-height: 100vh;
  transition: opacity 1s ease, filter 1.5s ease;
  opacity: 0;
  pointer-events: none;
}

/* aktif */
section.active {
  opacity: 1;
  pointer-events: auto;
}

/* page1 start*/
.main-container1 {
    margin: 0;
    height: 100vh;
    background-color: black;
}

.buttonpage1 {
  background-color: white;
  border: none;
  border-radius: 30px;
  color: var(--SecondaryColor);
  padding: 10px 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.3s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
}

.buttonpage1:hover {
  background-color: var(--SecondaryColor);
  color: white;
  box-shadow: 0 0px 20px 5px rgba(255, 255, 255, 0.7);
}

/* page 1 end */

/* page3 start */
.main-container3 {
    margin: 0;
    height: 100vh;
    background-color: white;
}

.hbd{
    position: relative;
    z-index: 10;
    color: var(--SecondaryColor);
    margin: 0;
    display: flex;
    text-align: left;
    padding-top: 80px;
    position: absolute;
    top: 0%;
    left: 13%;
    opacity: 1;
}

.hbd.show{
    animation: slideHBD 2.5s ease forwards;
}

@keyframes slideHBD{
    from{
        opacity:0;
        transform: translateX(-100px);
    }
    to{
        opacity:1;
        transform: translateX(0);
    }
}

.imgcontainer3 {
  z-index: 10;
  border: 1px solid #ddd;
  border-radius: 4px;
  position: absolute;
  top: 18%;
  left: 52%;
  opacity: 1;
}

.imgcontainer3.show{
    animation: slideImgC3 5s ease forwards;
}

@keyframes slideImgC3{
    from{
        opacity:0;
        transform: translateX(600px);
    }
    to{
        opacity:1;
        transform: translateX(0);
    }
}

/* PAGE 3 background PENTING */
#page3 {
  background: linear-gradient(270deg, #588157, #dad7cd, #a3b18a);
  background-size: 200% 200%;
  filter: brightness(0);
}

/* saat lampu nyala */
#page3.light-on {
  filter: brightness(1);
}

.buttonpage3 {
  background-color:var(--OtherPrimaryColor);
  border: 2px solid var(--SecondaryColor);
  border-radius: 30px;
  color: var(--SecondaryColor);
  padding: 10px 20px;
  position: absolute;
  top: 85%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.4s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
}


.buttonpage3 a {
  text-decoration: none !important;
  color: var(--SecondaryColor);
}

.buttonpage3:hover {
  background-color: var(--SecondaryColor);
  color: white;
}

.balloon-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  pointer-events: none;
  overflow: hidden;
}

/* page 3 end */

/* page4 start*/
.main-container4 {
  margin: 0;
  height: 100vh;
  overflow: hidden;
  position: relative;
}

.main-container4::before {
  content: "";
  position: absolute;
  inset: -30%;
  
  background: linear-gradient(
    120deg,
    #588157,
    #3a5a40,
    #dad7cd,
    #588157
  );

  background-size: 300% 300%;
  animation: waveMove 20s ease-in-out infinite;
}

@keyframes waveMove {
  0% {
    transform: translate(0%, 0%) scale(1);
    background-position: 0% 50%;
  }
  50% {
    transform: translate(-10%, -5%) scale(1.1);
    background-position: 100% 50%;
  }
  100% {
    transform: translate(0%, 0%) scale(1);
    background-position: 0% 50%;
  }
}

.buttonpage41 {
  background-color: white;
  border: 2px solid var(--OtherPrimaryColor);
  border-radius: 30px;
  color: var(--SecondaryColor);
  padding: 10px 20px;
  position: absolute;
  top: 40%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.4s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
  z-index: 1000;
}

.buttonpage41:hover {
  background-color: var(--SecondaryColor);
  color: white;
}

.buttonpage42 {
  background-color:white;
  border: 2px solid var(--OtherPrimaryColor);
  border-radius: 30px;
  color: var(--SecondaryColor);
  padding: 10px 20px;
  position: absolute;
  top: 60%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.4s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
  z-index: 1000;
}

.buttonpage42:hover {
  background-color: var(--SecondaryColor);
  color: white;
}

#buttonpage43 {
  background-color:white;
  border: 2px solid var(--OtherPrimaryColor);
  border-radius: 30px;
  color: var(--SecondaryColor);
  padding: 10px 20px;
  position: absolute;
  top: 30%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.4s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
  z-index: 1000;
}

#buttonpage43:hover {
  background-color: var(--SecondaryColor);
  color: white;
}

.buttonpage44 {
  background-color: white;
  border: 2px solid var(--OtherPrimaryColor);
  border-radius: 30px;
  color: var(--SecondaryColor);
  padding: 10px 20px;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.4s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
  z-index: 1000;
}

.buttonpage44:hover {
  background-color: var(--SecondaryColor);
  color: white;
}

/* confetti */
#love-container{
  position: fixed;
  top:0;
  left:0;
  width:100%;
  height:100%;
  pointer-events:none;
  overflow:hidden;
  z-index:999;
}

.love{
  position:absolute;
  top:-50px;
  width:40px;
  animation: fall linear forwards;
}

@keyframes fall{
  to{
    transform: translateY(110vh) rotate(360deg);
    opacity:0;
  }
}

/* page4 end */

/* page41 start*/
.main-container4-1 {
    margin: 0;
    height: 100vh;
    background-color: var(--OtherPrimaryColor);

    /* background-image: linear-gradient(
    270deg,
    #588157,
    #dad7cd,
    #a3b18a
  );

  background-size: 200% 200%;
  animation: gradientMove 10s ease-in-out infinite;
}

@keyframes gradientMove {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  } */
}

/*gallery */

.titlepage41 {
  color: var(--SecondaryColor);
  text-align: center;
  padding: 20px 0px 10px 0px;
  margin: 0px;
  opacity: 0;
  transform: translateY(-100px);
}

.titlepage41.show{
    animation: slidePage41 1s ease forwards;
}

@keyframes slidePage41{
    from{
        opacity:0;
        transform: translateY(-100px);
    }
    to{
        opacity:1;
        transform: translateY(0);
    }
}

.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 25px;
}

.gallery-item {
  position: relative;
  width: 220px;
  height: auto;
  margin: 10px;
  cursor: pointer;
  transition: transform 0.5s ease;
  border-radius: 10px;
}

.gallery-item:hover {
  transform: scale(1.1);
}

/* modal gallery */
.modal {
    display: none;
    position: fixed;
    inset: 0;
    justify-content: center;
    align-items: center;
    background: rgba(0, 0, 0, 0.8);
    flex-direction: column;
    opacity: 0;
    transition: opacity 0.5s ease;
    z-index: 9999;
}

.modal.show {
    opacity: 1;
    background: rgba(255, 255, 255, 0.8);
}

.modal-content {
    max-width: 80%;
    max-height: 80%;
    border-radius: 12px;
}

.close {
    position: absolute;
    top: 20px;
    right: 30px;
    font-size: 40px;
    color: var(--SecondaryColor);
    cursor: pointer;
}

/* Caption of modal image */
.caption {
  position: absolute;
  bottom: 20px;
  width: auto;
  text-align: center;
  color: white;
  font-size: 20px;
  background-color: var(--PrimaryColor);
  padding: 5px 20px;
  border-radius: 15px;
}

@media screen and (max-width: 768px) {
  .gallery-item {
     width: calc(50% - 20px);
  }
}

@media screen and (max-width: 480px) {
  .gallery-item  {
    width: calc(100% - 20px);
  }
}

.backBtn41 {
  background-color:var(--PrimaryColor);
  border: 2px solid var(--OtherPrimaryColor);
  border-radius: 30px;
  color: white;
  padding: 5px 20px;
  position: absolute;
  top: 5%;
  left: 5%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.4s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
}

.backBtn41:hover {
  background-color: var(--SecondaryColor);
  color: white;
}
/* page41 end */

/* page42 start */
.letter-modal42 {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background: rgba(0,0,0,0.6);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  pointer-events: none;
  transition: 0.3s ease;

  z-index: 9999;
}

.letter-modal42.show {
  opacity: 1;
  pointer-events: auto;
}

/* isi surat */
.letter-content42 {
  background: white;
  border-radius: 20px;
  padding: 20px;

  width: 70%;

  transform: translateY(50px) scale(0.95);
  opacity: 0;
  transition: 0.3s ease;
}

.letteroverflow {
  max-height: 80vh;
  overflow-y: auto;
  padding: 10px 70px;
}

/* animasi masuk */
.letter-modal42.show .letter-content42 {
  transform: translateY(0) scale(1);
  opacity: 1;
}

/* tombol close */
.close42 {
  position: absolute;
  top: 7px;
  left: 20px;
  font-size: 30px;
  cursor: pointer;
}

.img-article {
  display: block;
  margin: 0 auto;
  border-radius: 5px;
  width: 500px;
  height: auto;
}
/* page 42 end */

/* modal 43 start */
.modal-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.5);
  backdrop-filter: blur(5px);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  visibility: hidden;
  transition: all 0.4s ease;
  z-index: 2000;
}

.modal-overlay.active {
  opacity: 1;
  visibility: visible;
}

.modal-content43 {
  background: white;
  padding: 40px;
  border-radius: 20px;
  width: 30%;
  height: 90%;
  text-align: center;
  overflow: hidden;
  transform: scale(0.8);
  transition: all 0.4s ease;
  z-index: 2000;
}

.modal-overlay.active .modal-content43 {
  transform: scale(1);
}

.close-btn {
  position: absolute;
  top: 15px;
  right: 25px;
  font-size: 24px;
  color: var(--PrimaryColor);
  cursor: pointer;
}
/* modal 43 end */

/* modal 44 start */
.image-modal44 {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;

  background: rgba(0,0,0,0.8);

  display: flex;
  justify-content: center;
  align-items: center;

  opacity: 0;
  pointer-events: none;
  transition: 0.3s ease;

  z-index: 9999;
}

.image-modal44.show {
  opacity: 1;
  pointer-events: auto;
}

.image-modal44 img {
  max-width: 1200px;
  max-height: auto;
  border-radius: 20px;

  transform: scale(0.8);
  transition: 0.3s ease;
}

.image-modal44.show img {
  transform: scale(1);
}

.close44 {
  position: absolute;
  top: 20px;
  right: 30px;
  font-size: 40px;
  color: white;
  cursor: pointer;
}
/* modal 44 end */

/* buttonpageback start */
.buttonpageback {
  background-color:white;
  border: 2px solid var(--OtherPrimaryColor);
  border-radius: 30px;
  color: var(--SecondaryColor);
  padding: 10px 20px;
  position: absolute;
  top: 70%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  text-decoration: none;
  transition-duration: 0.4s;
  display: inline-block;
  font-size: 18px;
  cursor: pointer;
  z-index: 1000;
}

.buttonpageback:hover {
  background-color: var(--SecondaryColor);
  color: white;
}
/* buttonpageback end */
